---
next: false
sidebarDepth: 2
---

# Страница «Настройки»
Настройки можно использовать для настройки поведения приложения.

::: details Таблица содержания
[[toc]]
:::

## Тема приложения
Выбор темы приложения

## Режим root
Включение или отключение режима root.

::: tip
Для использования [ADB][1], сначала необходимо отключить режим root, а затем, предпочтительно, после перезапуска приложения, режим ADB будет обнаружен автоматически.
:::

_Смотрите также: [ADB через TCP][1]_

### Глобальная блокировка компонентов
Включение глобальной блокировки компонентов. По умолчанию правила блокировки не применяются, если они не применены на странице [«Сведения о приложении»][2] для какого-либо пакета. После включения этой опции, все (старые и новые) правила применяются немедленно для всех приложений без явного включения блокировки для какого-либо приложения.

::: warning Предупреждение
Включение этого параметра может иметь некоторые непредвиденные побочные эффекты, например, будут применяться правила, которые не были полностью удалены. Поэтому, соблюдайте осторожность. Эту опцию следует оставить отключенной, если она по каким-либо причинам не требуется.
:::

_Смотрите также: [Что такое глобальная блокировка компонентов?][7]_

## Доступ к использованию
Отключение этой опции отключает страницу **«Использование приложений»**, а также _использование данных_ и _информация о хранилище приложения_ во вкладке [«О приложении»][3]. Если отключить эту опцию, App Manager никогда не будет запрашивать разрешение _«Доступ к использованию»_

## Импорт/экспорт правил блокировки
В App Manager можно импортировать или экспортировать правила блокировки для всех приложений. Вы можете экспортировать или импортировать только определенные правила (компоненты, операции приложений или разрешения) вместо их всех. Также можно импортировать правила блокировки из [Blocker][4] и [Watt][5]. Если необходимо экспортировать правила блокировки для одного приложения, используйте соответствующую страницу [«Сведения о приложении»][2] для экспорта правил, или для нескольких приложений используйте [пакетные операции][6].

_Смотрите также: [App Manager: спецификация правил][rules_spec]_

### Экспорт
Экспортируйте правила блокировки для всех приложений, настроенных в App Manager. Они могут включать в себя [компоненты приложения][what_are_components], операции и разрешения приложения на основе того, какие параметры были выбраны в параметрах множественного выбора.

### Импорт
Импортируйте ранее экспортированные правила блокировки из App Manager. Подобно экспорту, они могут включать в себя [компоненты приложения][what_are_components], операции и разрешения приложения на основе того, какие параметры были выбраны в параметрах множественного выбора.

### Импорт существующих правил
Добавляйте компоненты, отключенные другими приложениями, в App Manager. App Manager следит только за компонентами, отключенные с помощью App Manager. Если вы используете другие инструменты для блокировки компонентов приложения, вы можете использовать эти инструменты для импорта этих отключенных компонентов. При нажатии на эту опцию запускается поиск отключенных компонентов и выводится список приложений, компоненты которых отключены пользователем. В целях безопасности, все приложения не выбраны по умолчанию. Вы можете вручную выбрать приложения в списке и повторно применить блокировку через App Manager.

::: danger Предупреждение
Будьте осторожны при использовании этого инструмента, так как могут возникнуть негативные последствия. Выбирайте только те приложения, в которых вы уверены.
:::

### Импорт из Watt
При импорте файлов конфигурации из [Watt][5], каждый файл содержит правила для одного пакета, а имя файла является именем пакета с расширением `.xml`.

::: tip
Расположение файлов конфигурации в Watt: <tt>/sdcard/Android/data/com.tuyafeng.watt/files/ifw</tt>
:::

### Импорт из Blocker
При импорте правил блокировки из [Blocker][4], каждый файл содержит правила для одного пакета. Эти файлы имеют расширение `.json`.

[1]: ./adb-over-tcp.md
[2]: ./app-details-page.md
[3]: ./app-details-page.md#вкnадка-«о-приnожении»
[4]: https://github.com/lihenggui/blocker
[5]: https://github.com/tuyafeng/Watt
[6]: ./main-page.md#пакетные-операции
[7]: ../faq/app-components.md#что-такое-гnобаnьная-бnокировка-компонентов
[what_are_components]: ../faq/app-components.md#что-такое-компоненты-приnожения
[rules_spec]: ../tech/rules-specification.md
